Skip to main content
PUT
Schedule or update the conversion of a list to static

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://app.hubspot.com/oauth/authorize
Token URL
https://api.hubapi.com/oauth/v1/token
Scopes2
crm.lists.write
crm.segments.read

Path Parameters

listId
string
required

The ID of the list to schedule the conversion for.

Body

application/json
conversionType
enum<string>
default:CONVERSION_DATE
required

Specifies the type of conversion (CONVERSION_DATE).

Available options:
CONVERSION_DATE
day
integer<int32>
required

The day component of the conversion date.

month
integer<int32>
required

The month component of the conversion date.

year
integer<int32>
required

The year component of the conversion date.

Response

successful operation

listId
string
required

The unique identifier of the list for which the conversion details are provided.

convertedAt
string<date-time>

The date and time when the list was converted.

requestedConversionTime
object

The scheduled time for the list conversion, which can be based on a specific date or inactivity period.

Last modified on September 9, 2026